package com.usky.iot.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.iot.domain.BaseAlarmType;
import com.usky.iot.domain.BaseAppInfo;
import com.usky.iot.service.BaseAlarmTypeService;
import com.usky.iot.service.BaseAppInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * APP用户心跳信息 前端控制器
 * </p>
 *
 * @author han
 * @since 2024-03-29
 */
@RestController
@RequestMapping("/baseAppInfo")
public class BaseAppInfoController {
    @Autowired
    private BaseAppInfoService baseAppInfoService;

    /**
     * 新增
     * @param baseAppInfo
     * @return
     */
    @PostMapping("add")
    public ApiResult<Void> add(@RequestBody BaseAppInfo baseAppInfo){
        baseAppInfoService.add(baseAppInfo);
        return ApiResult.success();
    }

}

